// casts as filters

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	Object o = new NullPointerException();
	o = new ClassCastException();
	Object m = (NullPointerException) o; // m should only point to one allocation site.
    }
}
